# Interface methods for submodule: ThresholdMaximumConnectedComponentsImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ThresholdMaximumConnectedComponentsImageFilter
class ThresholdMaximumConnectedComponentsImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetMinimumObjectSizeInPixels(self, _arg: int) -> None:
		""""""
		...

	def GetMinimumObjectSizeInPixels(self) -> int:
		""""""
		...

	def SetInsideValue(self, _arg: int) -> None:
		""""""
		...

	def SetOutsideValue(self, _arg: int) -> None:
		""""""
		...

	def SetUpperBoundary(self, _arg: int) -> None:
		""""""
		...

	def GetInsideValue(self) -> int:
		""""""
		...

	def GetOutsideValue(self) -> int:
		""""""
		...

	def GetUpperBoundary(self) -> int:
		""""""
		...

	def GetNumberOfObjects(self) -> int:
		""""""
		...

	def GetThresholdValue(self) -> int:
		""""""
		...

